Subject: bug#10960: linum-mode does not work properly when changing font size

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Mar 2012 19:18:01 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Sat, 10 Mar 2012 16:38:14 +0100
> Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked]
> 
> On Sat, Mar 10, 2012 at 16:06, Eli Zaretskii <[email-masked]> wrote:
> 
> > OK, let me ask specific questions then:
> 
> In the thread of bug#1255 Stefan already answered what amounts to YES, NO.

Maybe I misunderstood, but that's not what I read there.

> The problem with that answer is that it is maximally unhelpful. Every
> package that wants to use the margin will have to be defensively coded
> against text-scale-*.

If every application that uses display margins will have to do that,
Emacs should do that automatically, IMO.  What would be the reasons
not to?